鸿 网 互 联 www.68idc.cn

当前位置 : 服务器租用 > 软件教程 > 编程开发 > >

Win7下Redmine2.0.3+Mysql55+Ruby1.8.7成功安装记录分享

来源:互联网 作者:佚名 时间:2015-03-25 15:26
由于公司需要,准备用redmine实行项目任务分配等管理,决定在自己笔记本上安装一个redmine,查了好多网上教程,开始动手安装了

由于公司需要,准备用redmine实行项目任务分配等管理,决定在自己笔记本上安装一个redmine,查了好多网上教程,开始动手安装了

准备软件:
  • Ruby
  • 下载网页: ?group_id=167&release_id=46836
    11M
    17.2M
    网页上1.8.7是在下载链接的最上面,所以就下载了,但下了才发现,排第二的竟然是1.9.3-p194是2012-04-21更新的,网上一查,原来Ruby开发团队称,将于今年6月份停止对Ruby 1.8.7的维护,该版本的生命周期将于2013年6月终结,Ruby 1.8.7于2008年发布,该版本包含了一些重要的特性,但是在1.9分支中提供了更丰富的功能和更高的执行性能。建议开发者尽快将应用程序迁移至1.9分支。既然下了187,那就按187的装再说。
  • MySql5
  • 下载网页:
    ://cdn.mysql.com/
    中间大大的一个download,不用看,点了进去,MySql Install 5.5.27,好家伙201.4M,点击"download"按钮后,怎么要注册,刚想点那个NewUsers下的"Proceed"按钮时,咦,下边有一行"No thanks, just start my download!"的链接,看来老外也是喜欢忽悠人,直接点了。咱光纤,啥速度,下......。
    这个版本中包括
        MySQL Server
        All of our support connectors
        Workbench and sample models
        Sample databases
        Documentation

  • ruby中的MySql驱动
  • 下载网页:
    1.44M
  • Redmine2.0.3
  • 下载网页: 和 ?group_id=1850
    4.31M
  • DevKit
  • 下载网页:
    21.9M
    ruby的开发工具包,不用管下载了再说。
  • RMagick
  • 下载网页: ?group_id=12&release_id=39888
    23.7M
    1.2M
    这个东西在后面几乎把我给搞疯了,后面再说。
  • libiconv
  • 下载网页:

    这个网上说是运行rake时会用的,反正我不知道。
  • ZLib
  • 下载网页:
    ?ssig=MRhgcECKbJ&Expires=1345132800&KID=sina,ishare&ip=1345044344,101.229.67.&fn=zlib125-dll.zip
    不知道要来有什么用?准备的时候我也不知道,装好了后我还是不知道:)
  • Win32 Open SSL Light
  • 下载网页:
    4.3M
    1.1M
    网上有2个文章都说要这个SSL,我下了那个4.3M的,是个压缩包,解出来后就不知道怎么用了,还是下了0.9.8版本的,好歹是exe安装一下就行了。
  • Visual C++ 2008 Redistributables
  • ?familyid=9B2DA534-3E03-4391-8A4D-074B9F2BC1BF&displaylang=en
    如果不安装这个,调用 OpenSSL 时可能会报“应用程序配置不正确,程序无法启动,重新安装应用程序可能解决问题。”错误
    本人好像在打什么游戏时,安装过了,反正我没下载也没装也能用,哈:)


    好了准备完毕,开始安装,我全部安装在E盘(只有这个盘有空间了:<)

    1) 安装Ruby => e:\Ruby187
    注意,安装ruby时,有几个选项要打勾别忘了,看看英文,挺简单的。
    装完了后,开始菜单中多了个“Start Command Prompt with Ruby”,实际上是ruby命令行环境初始化加载的批处理快捷方式。
    点击运行,进入cmd模式,输入e:回车后,可以发现直接是e:\Ruby187\bin>的目录
    执行
      gem install rails -v=2.3.5
    实际上可以不用后面的-v版本参数,gem自己会找最新版下载的。
      gem install rack -v=1.0.1
      gem install mysql
    这可不是在安装mysql,而是在装mysql的C bindings
      gem install bundler


    2) 安装MySql5.5 => e:\MySQL
    不用说了,.msi文件点击安装,傻瓜下一步、下一步。
    安装中的英文说明还是挺简单的,初始化root口令时建议先简单点,别太复杂,省得忘了。
    与ruby一样,安装后开始菜单中多了个"MySQL 5.5 Command Line Client",点击后要求输入root的口令,然后进入mysql的命令行模式
      mysql>
    建库,输入(分号为命令结束符,提交)
      mysql>create database redmine character set utf8;
    建用户,用户是redmine,口令是123456
      mysql>create user 'redmine'@'localhost' identified by '123456';
    授权
      mysql>grant all privileges on redmine.* to 'redmine'@'localhost';
    如果建错了,删除用户
      mysql>drop user 'redmine'@'localhost';

    3) 安装DevKit => e:\DevKit
    这个文件是一个rar自解压包,按目录解压
    在ruby命令行的模式下执行
      e:
      cd e:\DevKit
      ruby dk.rb init
      ruby dk.rb install

    这个软件好像是在windows虚拟了一个linux的外壳,运行devkitvars.bat和msys.bat后,可以发现dos窗口的提示符变成了$,可以输入pwd、ls等命令看看,挺有意思的。

    4) 安装Win32 Open SSL
    执行0.9.8那个exe文件,安装过程中记得选择 "Copy OpenSSL DLLs to The Windows system directory",否则要你自己手工copy了

    5) ZLib
    将 ZLib 1.2.3 的安装包中的 zlib1.dll 解压到 Windows 的系统目录或 Ruby 的 bin 目录,并改名为 zlib.dll

    6) libiconv
    将 libiconv 1.9.1 的安装包中的 bin\iconv.dll 解压到 Windows 的系统目录或 Ruby 的 bin 目录(这一步可以不做,我是没做)

    7) 安装Redmine
    将redmine-2.0.3.zip解压至e:\redmine203
    将E:\redmine203\config\database.yml.example复制一份,更名为database.yml,修改一下内容
    production:
      adapter: mysql
      database: redmine
      host: localhost
      username: redmine
      password: 123456
      encoding: utf8

    注意:冒号与后面内容之间有一个空格,别删除了,否则你死也连不上库,还有只要保留production这段内容,其他后面的test什么了全部最前面加上#,注释了不用。

    8) ruby中的mysql驱动
    网上说将安装好的MySql中的libmySQL.dll copy至 ruby\bin目录下就可以了,但实际上新版ruby对新的MySql驱动兼容性不好,确实我试了就是连不上库,还是用我们下载的1.44M的libmySQL.dll,copy至e:\ruby187\bin目录。

    9) 关键的最搞死人的步骤开始了
    在ruby命令行模式下,执行
      e:
      cd e:\redmine203
      rake generate_secret_token

    网上教程都是在这里说开始通过ruby建立数据库结构,实际上ruby并完全准备好可以连接数据库,还需要安装很多组件或程序,这句话是我们这个新版本中执行的,以前旧版本是执行 rake config/initializers/session_store.rb ,我一开始也执行这句,发现目录里根本没有这个session_store.rb文件,baidu了一通,才知道改成新语句了。这句执行后会在E:\redmine203\config\initializers下生成一个secret_token.rb文件。

    执行时如果提示缺少什么什么,根据提示缺什么安装什么
    gem install 缺少的组件或程序
    一般正常成功安装时会提示
       1 gem installed
       Installing ri documention for ??????...
       installing RDoc documention for ??????...

    告诉大家一下,gem将下载下来的东西存放在E:\Ruby187\lib\ruby\gems\1.8\cache目录下,然后展开到E:\Ruby187\lib\ruby\gems\1.8\gems下各个程序的目录,各种.gem后缀的文件实际可以用Rar打开
    当提示要安装rmagick-2.13.1时,请按下面步骤做,我是搞了2天才搞定(主要是不懂ROR语言)

  • a)将RMagick-2.12.0-ImageMagick-6.5.6-8-Q8.zip解压出来,安装里面的ImageMagick-6.5.6-8-Q8-windows-dll.exe到E:\ImageMagick-6.5.6-Q8,实际上这个zip里面有rmagick-2.12.0-x86-mswin32.gem,但不用
  • b)在下载的rmagick-2.13.1.gem目录中执行以下命令
  •                 e:
                    cd e:\DevKit
                    devkitvars.bat
                    msys.bat
                    这里好像需要这个仿linux的运行环境,我找到几个网页教程里这么要求的
                    gem install --local rmagick-2.13.1.gem --platform=ruby -- --with-opt-lib=E:/ImageMagick-6.5.6-Q8/lib --with-opt-include=E:/ImageMagick-6.5.6-Q8/include
                    当中的单独 -- 一定要的。
                    千万不要执行gem install --local rmagick-2.13.1.gem 或直接从网上下载 gem install rmagick -v=2.13.1
                    这2个命令实际上都没有去关联你解压的ImageMagick,你可以试试这2个命令,从提示中可以发现
                    checking for ImageMagick version >= 6.3.5... yes
                    checking for HDRI disabled version of ImageMagick... yes
                    checking for stdint.h... yes
                    checking for sys/types.h... yes
                    checking for wand/MagickWand.h... no
                    看到没,这个MagickWand.h实际上就在E:\ImageMagick-6.5.6-Q8\include\wand目录下,但安装时总是说找不到,实际上就是没有加with-opt这两个参数,我在尝试过程中也试过加这两个参数,,但由于不懂语法,始终没搞定,后来在一个论坛的贴子中终于看到这个安装语法才成功了。
           
  • c)执行 bundle install
  •                 e:
                    cd e:\redmine203
                    bundle install
                    用gem install安装了组件或程序后,都需要执行这句,完整无错提示则表示你安装成功了。

            好了,回来继续数据库的安装
           e:
           cd e:\redmine203
           rake generate_secret_token
           rake db:migrate RAILS_ENV="production"
           rake redmine:load_default_data RAILS_ENV="production"
           最后一句执行中需要你选择语言,输入zh就行了
           安装过程中,可以在MySql中看到redmine库中有表建立,users表中有一个为admin的用户。

    10) 安装完了,运行redmine程序了,在ruby命令行模式下
            ruby script/rails server webrick -e production
            这是2.0.3版本使用的,旧版是启动server不一样
            访问:3000,激动人心的时刻到了,看到redmine的首页,点击登录用admin/admin进入就可以开始redmine应用了。

    11) 本人安装后的环境变量的变化,仅供参考
            IMAGEMAGICK_HOME=E:\ImageMagick-6.5.6-Q8
            OPENSSL_CONF=e:\OpenSSL\bin\openssl.cfg
            Path多出了e:\Ruby187\bin;e:\ImageMagick-6.5.6-Q8;

    12) 安装成windows服务
            抱歉,这一功能我还没有完成,以下是网上老版本的教程,不适用于2.0.3
            ruby命令行模式下
            gem install mongrel_service
            mongrel_rails service::install - N Redmine -c e:\redmine203 -p 3000 –e production
            sc config Redmine depend= MySQL55 start= auto
            sc这句是配置成自动服务,注意=后面的空格,MySQL55是mysql安装后在windows的服务中的名字
            虽然我照做了但在服务中启动Redmine后,可以看到3000端口启动了,但是登录不上,查看了一下e:\redmine203\log\目录下的mongrel.log日志文件,发现mongrel\rails.rb程序调用dependencies.rb应用在 require "dispatcher" 一句时报no such file to load的错误,dispatcher.rb文件在安装的rails 2.3.5目录下可以找得到,但是为什么不行,我就搞不懂了,有ROR精通的人能指点一下吗。
            没搞定,删除了它
            mongrel_rails service::remove -N Redmine
            或
            sc delete Redmine

    13) 有人报怨说局域网访问redmine慢
            这是由于Redmine自带的WebrickWeb发布的问题,需要使用Mongrel组件来替换Webrick。
            Ruby命令行模式下
            gem install mongrel
            安装后在redmine目录下
            ruby script/rails server -e production

    网友评论
    <